Debian Bug report logs - #488532
python-wxgtk2.6: from wx import * doesn't work

version graph

Package: python-wxgtk2.6; Maintainer for python-wxgtk2.6 is wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>;

Reported by: "Christopher J. Walker" <chrisw@chiark.greenend.org.uk>

Date: Sun, 29 Jun 2008 14:48:06 UTC

Severity: normal

Tags: fixed-upstream, wontfix

Found in version wxwidgets2.6/2.6.3.2.2-2

Fixed in version 2.6.3.2.2-6+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, chrisw@chiark.greenend.org.uk, Ron Lee <ron@debian.org>:
Bug#488532; Package python-wxgtk2.6. Full text and rfc822 format available.

Acknowledgement sent to "Christopher J. Walker" <chrisw@chiark.greenend.org.uk>:
New Bug report received and forwarded. Copy sent to chrisw@chiark.greenend.org.uk, Ron Lee <ron@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Christopher J. Walker" <chrisw@chiark.greenend.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-wxgtk2.6: from wx import * doesn't work
Date: Sun, 29 Jun 2008 15:45:56 +0100
Package: python-wxgtk2.6
Version: 2.6.3.2.2-2
Severity: normal

"from wx import *" doesn't work - eg:

chrisw@replica:/usr/share/doc/iceweasel-itsalltext$ python
Python 2.5.2 (r252:60911, May 28 2008, 08:35:32) 
[GCC 4.2.4 (Debian 4.2.4-1)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> from wx import *
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
AttributeError: 'module' object has no attribute '__DocFilter'

Chris

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-wxgtk2.6 depends on:
ii  libc6                        2.7-10      GNU C Library: Shared libraries
ii  libgcc1                      1:4.3.1-2   GCC support library
ii  libstdc++6                   4.3.1-2     The GNU Standard C++ Library v3
ii  libwxbase2.6-0               2.6.3.2.2-2 wxBase library (runtime) - non-GUI
ii  libwxgtk2.6-0                2.6.3.2.2-2 wxWidgets Cross-platform C++ GUI t
ii  python                       2.5.2-1     An interactive high-level object-o
ii  python-central               0.6.7       register and build utility for Pyt
ii  python-wxversion             2.6.3.2.2-2 wxWidgets Cross-platform C++ GUI t
ii  python2.5                    2.5.2-6     An interactive high-level object-o

python-wxgtk2.6 recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Ron Lee <ron@debian.org>:
Bug#488532; Package python-wxgtk2.6. (Thu, 03 Dec 2009 03:27:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryan@debian.org>:
Extra info received and forwarded to list. Copy sent to Ron Lee <ron@debian.org>. (Thu, 03 Dec 2009 03:27:12 GMT) Full text and rfc822 format available.

Message #10 received at 488532@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryan@debian.org>
To: 488532@bugs.debian.org
Subject: this has been fixed in wxwidgets2.8
Date: Wed, 2 Dec 2009 19:22:08 -0800
[Message part 1 (text/plain, inline)]
tag 488532 fixed-upstream
quit

ryan52@localhost:~$ python
Python 2.5.4 (r254:67916, Nov 19 2009, 19:46:21) 
[GCC 4.3.4] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import wxversion
>>> wxversion.select("2.8")
>>> from wx import *
>>> 
ryan52@localhost:~$ python
Python 2.5.4 (r254:67916, Nov 19 2009, 19:46:21) 
[GCC 4.3.4] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import wxversion
>>> wxversion.select("2.6")
>>> from wx import *
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
AttributeError: 'module' object has no attribute '__DocFilter'
>>> 
ryan52@localhost:~$ 


-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Ryan Niebur <ryan@debian.org> to control@bugs.debian.org. (Thu, 03 Dec 2009 03:27:14 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Olly Betts <olly@survex.com> to control@bugs.debian.org. (Thu, 13 Oct 2011 01:30:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>:
Bug#488532; Package python-wxgtk2.6. (Thu, 13 Oct 2011 01:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olly Betts <olly@survex.com>:
Extra info received and forwarded to list. Copy sent to wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>. (Thu, 13 Oct 2011 01:48:04 GMT) Full text and rfc822 format available.

Message #19 received at 488532@bugs.debian.org (full text, mbox):

From: Olly Betts <olly@survex.com>
To: "Christopher J. Walker" <chrisw@chiark.greenend.org.uk>, 488532@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#488532: python-wxgtk2.6: from wx import * doesn't work
Date: Thu, 13 Oct 2011 14:27:15 +1300
tag 488532 + wontfix
thanks

On Sun, Jun 29, 2008 at 03:45:56PM +0100, Christopher J. Walker wrote:
> "from wx import *" doesn't work - eg:
> 
> chrisw@replica:/usr/share/doc/iceweasel-itsalltext$ python
> Python 2.5.2 (r252:60911, May 28 2008, 08:35:32) 
> [GCC 4.2.4 (Debian 4.2.4-1)] on linux2
> Type "help", "copyright", "credits" or "license" for more information.
> >>> from wx import *
> Traceback (most recent call last):
>   File "<stdin>", line 1, in <module>
> AttributeError: 'module' object has no attribute '__DocFilter'

I've recently become active in wx maintenance, and I'm working to 
migrate all reverse dependencies of wxwidgets2.6 to wxwidgets2.8 and to
get wxwidgets2.6 removed before wheezy.

This issue is already fixed in 2.8, and I don't think it's useful to
try to fix it in 2.6 at this point.

Cheers,
    Olly




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 05 Dec 2011 15:27:31 GMT) Full text and rfc822 format available.

Notification sent to "Christopher J. Walker" <chrisw@chiark.greenend.org.uk>:
Bug acknowledged by developer. (Mon, 05 Dec 2011 15:27:33 GMT) Full text and rfc822 format available.

Message #24 received at 488532-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 346492-done@bugs.debian.org,349231-done@bugs.debian.org,407456-done@bugs.debian.org,451104-done@bugs.debian.org,488532-done@bugs.debian.org,489670-done@bugs.debian.org,548686-done@bugs.debian.org,585338-done@bugs.debian.org,617147-done@bugs.debian.org,644570-done@bugs.debian.org,649794-done@bugs.debian.org,
Cc: wxwidgets2.6@packages.debian.org, wxwidgets2.6@packages.qa.debian.org
Subject: Bug#651072: Removed package(s) from unstable
Date: Mon, 05 Dec 2011 15:26:21 +0000
Version: 2.6.3.2.2-6+rm

Dear submitter,

as the package wxwidgets2.6 has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/651072

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Jan 2012 07:34:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:20:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.